Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 677648 - dev-python/click-7.0 USE=doc: ModuleNotFoundError: No module named 'sphinx.builders._epub_base'
Summary: dev-python/click-7.0 USE=doc: ModuleNotFoundError: No module named 'sphinx.bu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tomáš Mózes
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 668990
  Show dependency tree
 
Reported: 2019-02-10 14:10 UTC by Rolf Eike Beer
Modified: 2019-03-04 01:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (dev-python_click-7.0_use_A1rgs,5.09 KB, text/plain)
2019-02-10 14:10 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2019-02-10 14:10:26 UTC
Created attachment 564560 [details]
build.log

Portage 2.3.59 (python 2.7.14-final-0, default/linux/sparc/17.0, gcc-8.2.0, glibc-2.28-r3, 4.16.8 sparc64)
=================================================================
System uname: Linux-4.16.8-sparc64-sun4v-with-gentoo-2.6
KiB Mem:    33133328 total,   6507608 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 10 Feb 2019 01:15:01 +0000
sh bash 4.4_p23
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash:          4.4_p23::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.5::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r2::gentoo
sys-devel/gcc:            8.2.0-r6::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.28-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000
    sync-git-verify-commit-signature: yes

qt
    location: /var/lib/layman/qt
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="sparc ~sparc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20 -l40"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt cxx dri fortran gdbm iconv ipv6 libtirpc ncurses nls nptl openmp pam pcre readline sparc ssl tcpd unicode xattr zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Tomáš Mózes 2019-02-11 05:07:12 UTC
Can you please test with sphinx-1.7.5-r1?
Comment 2 Rolf Eike Beer 2019-02-11 18:23:05 UTC
The error get's a bit different then:

self = <docutils.parsers.rst.states.Inliner instance at 0xf3f217d8>
settings = <Values at 0xf3d8fa08: {'footnote_backlinks': 1, 'record_dependencies': DependencyList(None, []), 'language_code': 'en...alse, 'strip_elements_with_classes': None, '_config_files': [], 'file_insertion_enabled': True, 'dump_settings': None}>

    def init_customizations(self, settings):
        # lookahead and look-behind expressions for inline markup rules
>       if settings.character_level_inline_markup:
E       AttributeError: Values instance has no attribute 'character_level_inline_markup'
Comment 3 Tomáš Mózes 2019-02-12 03:38:45 UTC
Can you please attach the full build log?
Comment 4 Tomáš Mózes 2019-02-12 03:44:56 UTC
Do you happen to have docutils <0.14 installed?

https://github.com/sphinx-doc/sphinx/pull/5028
Comment 5 Mart Raudsepp gentoo-dev 2019-02-12 10:33:07 UTC
Rolf asked to relay that he has 0.13.1 installed
Comment 6 Tomáš Mózes 2019-02-12 10:45:19 UTC
Would be great if the machine could be upgraded to latest versions.
Comment 7 Mart Raudsepp gentoo-dev 2019-02-12 11:48:52 UTC
He presumably doesn't have newer docutils yet due to bug 677578 being blocked by bug 676622
If tests fail with older, but work with newer, then the test deps should probably actually express that; that said, it's what we are still trying to figure out I guess :)
Comment 8 Tomáš Mózes 2019-02-12 12:05:41 UTC
Unfortunately, the exact versions are not expressed in the package and i only have the latest versions installed on my machine :-|
Comment 9 Rolf Eike Beer 2019-02-12 15:52:23 UTC
I'll re-run tatt on bug 677578 and will report back then.
Comment 10 Rolf Eike Beer 2019-02-12 19:50:07 UTC
Works fine then. Please add the missing deps.
Comment 11 Tomáš Mózes 2019-02-14 07:04:15 UTC
Just to make sure, upgrading to these versions made it working?

>=dev-python/docutils-0.14
>=dev-python/sphinx-1.7.5-r1
Comment 12 Rolf Eike Beer 2019-02-14 07:13:51 UTC
yes
Comment 13 Larry the Git Cow gentoo-dev 2019-03-04 01:35:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e169d0bf967652de8826b890e0f4bbb0da38fe10

commit e169d0bf967652de8826b890e0f4bbb0da38fe10
Author:     Tomas Mozes <hydrapolic@gmail.com>
AuthorDate: 2019-02-14 14:02:22 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-03-04 00:54:48 +0000

    dev-python/click: add docutils/sphinx version constraints
    
    Closes: https://bugs.gentoo.org/677648
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/11050
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 dev-python/click/click-7.0.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)